#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.2
visibility:           public
id:                   kan-extensions-5.2.2-C13ITfzXdLk569K1TTCE2h
key:                  kan-extensions-5.2.2-C13ITfzXdLk569K1TTCE2h
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  57adaead39b6d1848488a2f789462717
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.10.4/site-local/kan-extensions-5.2.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/kan-extensions-5.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/kan-extensions-5.2.2
hs-libraries:         HSkan-extensions-5.2.2-C13ITfzXdLk569K1TTCE2h
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-JRy4qX94wRJ2WRLpxt4Q1 array-0.5.4.0 base-4.14.1.0
    comonad-5.0.8-KjnLst4OTGPJTLGhFD89oM containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    distributive-0.6.2.1-BsuxIZ9ExIYBJapSKQd8Ad
    free-5.1.7-2OUJTpmP9Hv8XKnlAnUIUz
    invariant-0.5.4-4JInf2KFsWZ3U9BrxabKKn mtl-2.2.2
    profunctors-5.6.2-LSNpCQFYfGdGVnpPdvpwiy
    semigroupoids-5.3.5-Aq13FpIQikALBVoA5l0dd8
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C transformers-0.5.6.2
    transformers-compat-0.6.6-5ZJJ9POl5DGLIWTn4Z8HjM

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

